﻿using Zoo.DAL.Models;

namespace Zoo.Infrastructure.Repository
{
    public interface ISponsorshipRepository
    {
        Task<IEnumerable<Sponsorship>> GetSponsorshipsAsync();
        Task<Sponsorship> GetZookepeerByIdAsync(Guid id);
        Task InsertSponsorshipAsync(Sponsorship sponsorship);
        Task DeleteSponsorshipAsync(Guid sponsorshipId);
        void UpdateSponsorship(Sponsorship sponsorship);
        Task SaveAsync();
    }
}
