﻿using Zoo.DAL.Models;

namespace Zoo.Infrastructure.Repository
{
    public interface IAnimalRepository
    {
        Task<IEnumerable<Animal>> GetAnimalsAsync();
        Task<Animal> GetAnimalByIdAsync(Guid id);
        Task InsertAnimalAsync(Animal animal);
        Task DeleteAnimalAsync(Guid animalId);
        void UpdateAnimal(Animal animal);
        Task SaveAsync();
    }
}
