﻿using Zoo.DAL.Models;

namespace Zoo.Infrastructure.Repository
{
    public interface ISponsorRepository
    {
        Task<IEnumerable<Sponsor>> GetSponsorsAsync();
        Task<Sponsor> GetZookepeerByIdAsync(Guid id);
        Task InsertSponsorAsync(Sponsor sponsor);
        Task DeleteSponsorAsync(Guid sponsorId);
        void UpdateSponsor(Sponsor sponsor);
        Task SaveAsync();
    }
}
