﻿using Zoo.DAL.Models;

namespace Zoo.Infrastructure.Repository
{
    public interface IZookeeperRepository
    {
        Task<IEnumerable<Zookeeper>> GetZookeepersAsync();
        Task<Zookeeper> GetZookepeerByIdAsync(Guid id);
        Task InsertZookeeperAsync(Zookeeper zookeeper);
        Task DeleteZookeeperAsync(Guid zookeeperId);
        void UpdateZookeeper(Zookeeper zookeeper);
        Task SaveAsync();
    }
}
